Subject: bug#19200: Point adjustemnt moves *into* invisible text

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Mar 2016 20:31:19 +0200

> From: Michael Heerdegen <[email-masked]>
> Date: Mon, 21 Mar 2016 03:15:34 +0100
> Cc: [email-masked], Jonas Bernoulli <[email-masked]>
> 
> And I found that when I replace
> 
>   (if (zerop col)
>       (beginning-of-line)
>     (move-to-column col))
> 
> in the definition of line-move-to-column (at the beginning) with just
> 
>   (move-to-column col)
> 
> (i.e. the else case)
> 
> the Magit issue is fixed.  I have no clue why, however.

This code is not executed when running Stefan's original test case.